package com.jsowell.pile.service;

import com.jsowell.pile.domain.ClearingBillDetail;
import java.util.List;
public interface ClearingBillDetailService{


    int deleteByPrimaryKey(Integer id);

    int insert(ClearingBillDetail record);

    int insertOrUpdate(ClearingBillDetail record);

    int insertOrUpdateSelective(ClearingBillDetail record);

    int insertSelective(ClearingBillDetail record);

    ClearingBillDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ClearingBillDetail record);

    int updateByPrimaryKey(ClearingBillDetail record);

    int updateBatch(List<ClearingBillDetail> list);

    int batchInsert(List<ClearingBillDetail> list);

}
